Skip to content

Update a checkin

Request

Updates an existing checkin with the specified attributes

Path
idstringrequired

Checkin UUID

Bodyapplication/json
valuenumber

Checkin value

statusstring

Checkin status

Enum:"not_started""in_progress""on_track""behind""at_risk""closed""postponed"
notestring

Checkin note

scorenumber

Score (only for closed status)

labelsArray of strings

Label names to apply to the check-in

PUT
/rest/v2/checkins/{id}
curl -i -X PUT \
  'https://api.rhythms.ai/rest/v2/checkins/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "value": 0,
    "status": "not_started",
    "note": "string",
    "score": 0,
    "labels": [
      "string"
    ]
  }'

Responses

Success

Headers
any
Body*/*
uuidstringrequired

Uuid

goal_uuidstringrequired

Goal uuid

metric_uuidstring

Metric uuid

Default:null
valuenumber

Value

Default:null
progressnumber

Progress

Default:null
scorenumber

Score

Default:null
checkin_datestringrequired

Checkin date

statusstring

Status

Default:"not_started"
notestring

Note

Default:null
creator_uuidstringrequired

Creator uuid

source_infoobjectrequired

Source info

Default:"{}"
mentioned_entitiesobjectrequired

Mentioned entities

Default:"[]"
Response
{
  "uuid": "string",
  "goal_uuid": "string",
  "metric_uuid": null,
  "value": null,
  "progress": null,
  "score": null,
  "checkin_date": "string",
  "status": "not_started",
  "note": null,
  "creator_uuid": "string",
  "source_info": "{}",
  "mentioned_entities": "[]"
}